ALSA project - the C library reference

Data Fields
snd_tplg_pcm_template Struct Reference
Topology Interface

Template type for PCM (FE DAI & DAI links). More...

`#include <topology.h>`

## Data Fields
const char * | pcm_name
const char * | dai_name
unsigned int | pcm_id
unsigned int | dai_id
unsigned int | playback
unsigned int | capture
unsigned int | compress
struct snd_tplg_stream_caps_template * | caps [2]
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv
int | num_streams
struct snd_tplg_stream_template | stream [0]

## Detailed Description

Template type for PCM (FE DAI & DAI links).

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-300/media/alsa-lib/1.2.8/.x86_64-glibc/intel-pc64/alsa-lib-1.2.8/include/topology.h